%define glib2_version           2.10.0
%define gtk2_version            2.10.0
%define dbus_version            0.70
%define gettext_version         0.14
%define alphatag                20071105git

Summary: Open Hardware Manager
Name: ohm
Version: 0.1.1
Release: 5.4.%{alphatag}%{?dist}
URL: http://www.freedesktop.org/Software/ohm
Source0: http://people.freedesktop.org/~hughsient/temp/%{name}-%{version}-1.%alphatag.tar.gz

Patch0: ohm-patch-change-timeouts.diff
Patch1: ohm-patch-direct-backlight.diff
Patch2: ohm-patch-implement-pm.diff 
Patch3: ohm-patch-remove-powersave.diff
Patch4: ohm-patch-change-brightness-levels.diff

License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: gettext >= %{gettext_version}
BuildRequires: perl(XML::Parser)
BuildRequires: dbus-glib-devel
BuildRequires: hal-devel
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libtool
Requires: chkconfig
Requires: gtk2 >= %{gtk2_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}
Requires: glib2 >= %{glib2_version}
Requires(pre): shadow-utils
Requires(post): /sbin/ldconfig
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/ldconfig

%description
OHM stands for Open Hardware Manager which is a service that controls low level
hardware and exports preferences to the user session.

%package devel
Summary: Libraries and headers for OHM
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig

%description devel

Headers, static libraries and API docs for OHM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 
%patch3 -p1 
%patch4 -p1
%build

%configure --disable-docbook-docs --with-xauth-dir=/home/olpc --with-os-type=redhat --docdir=%{_datadir}/doc/%{name}-%{version}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/ohm/*.la
rm -f %{buildroot}%{_libdir}/ohm/*.a
rm -f %{buildroot}%{_datadir}/ohm-%{version}/index.html

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
groupadd -f -r ohmd
id ohmd >/dev/null 2>&1 || \
useradd -r -g ohmd -d %{_sysconfdir}/ohm -s /sbin/nologin -c "OHM daemon" ohmd

%post
/sbin/ldconfig
/sbin/chkconfig --add ohmd

%preun
if [ $1 = 0 ]; then
    service ohmd stop > /dev/null 2>&1
    /sbin/chkconfig --del ohmd
fi

%postun
/sbin/ldconfig
if [ "$0" -ge "1" ]; then
  service ohmd condrestart > /dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING NEWS

%config(noreplace) %{_sysconfdir}/dbus-1/system.d/ohm.conf
%{_sysconfdir}/rc.d/init.d/ohmd
%dir %{_sysconfdir}/ohm
%config(noreplace) %{_sysconfdir}/ohm/*

%{_sbindir}/ohmd
%{_bindir}/lsohm
%{_bindir}/ohm-get-key
%{_bindir}/ohm-set-key
%{_libdir}/libohm*.so.*

#plugins
%dir %{_libdir}/ohm
%{_libdir}/ohm/libohm*.so

%files devel
%defattr(-,root,root)

%{_libdir}/libohm*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Mon Jul 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-5.4.20070718git.olpc
- Disable xrandr

* Wed Jul 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-5.3.20070718git.olpc
- New snapshot

* Sun Jul 15 2007 Dan Williams <dcbw@redhat.com> - 0.1.1-5.2.20070713git.olpc2
- Hack: suspend directly with sysfs, don't call out to totally OLPC-inappropriate
  suspend scripts

* Sun Jul 15 2007 Dan Williams <dcbw@redhat.com> - 0.1.1-5.1.20070713git.olpc2
- Disable 'idle' extension for now

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-4.20070713git
- Only connect idle time when X is up

* Thu Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-2.20070713git
- Build a git snapshot

* Wed Jun 30 2007 Richard Hughes <richard@hughsie.com> 0.1.1-0
- Initial package for Fedora

